
import java.io.File;
import java.util.HashMap;
import java.util.List;

import org.jdom2.Document;
import org.jdom2.Element;
import org.xml.sax.Attributes;
import org.xml.sax.SAXException;
import org.xml.sax.helpers.DefaultHandler;
import org.jdom2.input.SAXBuilder;


public class BusStop extends DefaultHandler {

    public BusStop(String name, String oldName, String wheelchair) {
        this.name = name;
        this.oldName = oldName;
        this.wheelchair = wheelchair;
        this.distance = 0.0;
    }

    public void print(){
        System.out.println("Megálló:\n\tNév: "+name+" ("+oldName+")\n\tElérhetősek: "+wheelchair);
    }
    public void printByDistance(){
        System.out.println("Megálló:\n\tNév: "+name+" ("+oldName+")\n\tElérhetősek: "+wheelchair+"\n\tTávolság: "+distance);
    }

    private String name;
    private String oldName;

    public String getWheelchair() {
        return wheelchair;
    }

    public void setWheelchair(String wheelchair) {
        this.wheelchair = wheelchair;
    }

    public String getOldName() {
        return oldName;
    }

    public void setOldName(String oldName) {
        this.oldName = oldName;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    private String wheelchair;


    public double getDistance() {
        return distance;
    }

    public void setDistance(double distance) {
        this.distance = distance;
    }

    private double distance = 0.0;

    public double getLon() {
        return lon;
    }

    public void setLon(double lon) {
        this.lon = lon;
    }

    public double getLat() {
        return lat;
    }

    public void setLat(double lat) {
        this.lat = lat;
    }

    private double lon=0.0;
    private double lat=0.0;

}